## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * Deactivate tests because they need a sound card
# * https://github.com/diwic/alsa-rs/issues/71
%bcond_with check
%global debug_package %{nil}

%global crate alsa

Name:           rust-alsa
Version:        0.9.1
Release:        %autorelease
Summary:        Thin but safe wrappers for ALSA (Linux sound API)

# Upstream license specification: Apache-2.0/MIT
License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/alsa
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Thin but safe wrappers for ALSA (Linux sound API).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Dec 20 2024 MSVSphere Packaging Team <packager@msvsphere-os.ru> - 0.9.1-1
- Rebuilt for MSVSphere 10

## START: Generated by rpmautospec
* Fri Oct 11 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1; Fixes: RHBZ#2265305

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Oct 14 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1; Fixes: RHBZ#2237891

* Mon Jul 31 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1; Fixes: RHBZ#2224957

* Fri Jun 25 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.5.0-1
- Initial package

## END: Generated by rpmautospec
